Makefile: Remove 'NEED_LIBUSB1' from lspcon requirements

Since lspcon talks over i2c I doubt libusb is a build
requirement, remove it.

Change-Id: Ic4d71c10d2d8c0c881aa5732daed35c20d905a5e
Signed-off-by: Edward O'Callaghan <quasisec@google.com>
Reviewed-on: https://review.coreboot.org/c/flashrom/+/41020
Tested-by: build bot (Jenkins) <no-reply@coreboot.org>
Reviewed-by: Sam McNally <sammc@google.com>
1 file changed